GLOBAL_MAPPER_SCRIPT VERSION="1.00"

LAYER_LOOP_START FILENAME="*"
	//Gets the X Min from Metadata for the layer
	QUERY_LAYER_METADATA METADATA_LAYER="%LAYER_DESC%" METADATA_ATTR="UPPER LEFT X" RESULT_VAR="AreaXMin"

	//Gets the X Max from Metadata for the layer
	QUERY_LAYER_METADATA METADATA_LAYER="%LAYER_DESC%" METADATA_ATTR="LOWER RIGHT X" RESULT_VAR="AreaXMax"

	//Gets the Y Min from Metadata for the layer
	QUERY_LAYER_METADATA METADATA_LAYER="%LAYER_DESC%" METADATA_ATTR="LOWER RIGHT Y" RESULT_VAR="AreaYMin"

	//Gets the Y Max from Metadata for the layer
	QUERY_LAYER_METADATA METADATA_LAYER="%LAYER_DESC%" METADATA_ATTR="UPPER LEFT Y" RESULT_VAR="AreaYMax"
LAYER_LOOP_END

LOG_MESSAGE +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

DEFINE_VAR NAME="FILE_FORMAT" VALUE="asc" PROMPT=YES PROMPT_TEXT="File Type to Import (e.g. asc, tif, png, etc):"

DEFINE_VAR NAME="FILES_TO_IMPORT" PROMPT=DIR ABORT_ON_CANCEL=YES

DIR_LOOP_START DIRECTORY="%FILES_TO_IMPORT%" FILENAME_MASKS="*.%FILE_FORMAT%" RECURSE_DIR=YES

	IMPORT FILENAME="%FNAME_W_DIR%"

	//Gets the X Min from Metadata for the layer
	QUERY_LAYER_METADATA METADATA_LAYER="%FNAME_W_DIR%" METADATA_ATTR="UPPER LEFT X" RESULT_VAR="XMin"

	//Gets the X Max from Metadata for the layer
	QUERY_LAYER_METADATA METADATA_LAYER="%FNAME_W_DIR%" METADATA_ATTR="LOWER RIGHT X" RESULT_VAR="XMax"

	//Gets the Y Min from Metadata for the layer
	QUERY_LAYER_METADATA METADATA_LAYER="%FNAME_W_DIR%" METADATA_ATTR="LOWER RIGHT Y" RESULT_VAR="YMin"

	//Gets the Y Max from Metadata for the layer
	QUERY_LAYER_METADATA METADATA_LAYER="%FNAME_W_DIR%" METADATA_ATTR="UPPER LEFT Y" RESULT_VAR="YMax"
	
	//File Description
	QUERY_LAYER_METADATA METADATA_LAYER="%FNAME_W_DIR%" METADATA_ATTR="DESCRIPTION" RESULT_VAR="FileDesc"
	
	IF COMPARE_STR="%XMax%<%AreaXMin%" COMPARE_NUM="YES"
		UNLOAD_LAYER FILENAME="%FileDesc%" COMPARE_NUM="YES"
	ELSE_IF COMPARE_STR="%XMin%>%AreaXMax%"
		UNLOAD_LAYER FILENAME="%FileDesc%" COMPARE_NUM="YES"
	ELSE_IF COMPARE_STR="%YMin%>%AreaYMax%"
		UNLOAD_LAYER FILENAME="%FileDesc%" COMPARE_NUM="YES"
	ELSE_IF COMPARE_STR="%YMax%<%AreaYMin%"
		UNLOAD_LAYER FILENAME="%FileDesc%" COMPARE_NUM="YES"
	END_IF
	
DIR_LOOP_END